# add_funcs.rb
# extends DCs functions
require('sketchup')

module ABC
module ABC123

if Sketchup.version.to_i <= 8
  require('dynamiccomponents.rb')
else
  require('su_dynamiccomponents.rb')
end
if defined?($dc_observers)
  # Open SketchUp's Dynamic Component Functions (V1) class.
  # only if DC extension is active
  class DCFunctionsV1.instance_methods.sort
    protected
    unless DCFunctionsV1.method_defined?(:atan2)
      # access to Ruby's arctangent method
      # Usage: =atan2(y,x)
      def atan2(a)
        return Math::atan2(a[0],a[1]).radians
      end
    end#unless
    protected:atan2
  end#class
end#if

end #module ABC123
end #module ABC